/***************************************************************

***************************************************************/

#include "STRx.h"

volatile unsigned short delaycnt;
int k;

//this is the counter
volatile unsigned short i=0x0550;

//uncomment this line if you want the main function to be located
// in the FLASH BLOCK 1 (by default, it goes in BLOCK 0)
//int main() __attribute__ ((section (".b1text")));

unsigned char led_value = 0xFF;
int main()
{
	//GPIO5 goes to the switches
	SCU->PRR1  |= 0x000f0000;  // release P5 reset
	SCU->PCGR1 |= 0x000f0000; // clock gating P5
	SCU->GPIOOUT[5] = 0x5555; // enable GPIO6 OUTPUT for all pins
   GPIO5->DIR = 0x0FF;       // Dir output on GPIO6 for all pins
	
   //GPIO6 goes to the LEDs
	SCU->PRR1  |= 0x00100000;  // release P6 reset
	SCU->PCGR1 |= 0x00100000; // clock gating P6
	SCU->GPIOOUT[6] = 0x5555; // enable GPIO6 OUTPUT for all pins
   GPIO6->DIR = 0x0FF;       // Dir output on GPIO6 for all pins
		
	while(1)
	{
		//increment the counter
		i++;
		
		led_value ^= 0xFF;

      //print value of the counter and buttons on the LEDs
		GPIO_WRITEDATA(GPIO5, led_value);
      GPIO_WRITEDATA(GPIO6, led_value);
	
		//delay
      for(delaycnt=0;delaycnt<60000;delaycnt++);
	}

	//this will never be executed. (and is probably optimized out)	
	// but it avoids a warning when compiling
	return 0;
}


